List Detected Cloud Accounts
List all cloud accounts dectected with the current configuartion of the cloud connection.
Path Parameters
- cloudConnectionId int32 required
Id of an existing cloud connection
- 200
- 400
- 500
Success
- application/json
- Schema
- Example (from schema)
Schema
accounts object[]
List of cloud accounts.
name stringcloud account name
id stringcloud account id
uuid stringThe globally unique identifier for the account
email stringemail for cloud account
- accountDetails object[]
List of cloud accounts.
{
"accountDetails": [
{
"name": "string",
"id": "string",
"uuid": "string",
"email": "string",
"credentialId": 0,
"status": "NOT_VALIDATED",
"errors": [
"string"
]
}
]
}
Bad Request
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
Tells about the error occured
- errorCode ErrorCode
Possible values: [
NO_ERROR,INVALID_INPUT,VALUE_NOT_FOUND,UNKNOWN_EXCEPTION,CONNECTION_PROBLEM,UNKNOWN_SQL_ERROR,INVALID_USER,INVALID_OPERATION_TYPE,INTERNAL_SERVER_PROBLEM,INSUFFICIENT_USER_PERMISSION_ON_ENTITY,INVALID_ENTITY_ID,REFRESH_TOKEN_EXPIRED]Error code value
{
"errorMessage": "string",
"errorCode": "NO_ERROR"
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
Tells about the error occured
- errorCode ErrorCode
Possible values: [
NO_ERROR,INVALID_INPUT,VALUE_NOT_FOUND,UNKNOWN_EXCEPTION,CONNECTION_PROBLEM,UNKNOWN_SQL_ERROR,INVALID_USER,INVALID_OPERATION_TYPE,INTERNAL_SERVER_PROBLEM,INSUFFICIENT_USER_PERMISSION_ON_ENTITY,INVALID_ENTITY_ID,REFRESH_TOKEN_EXPIRED]Error code value
{
"errorMessage": "string",
"errorCode": "NO_ERROR"
}